import jQuery from "jquery";
require("jquery-replacetext-js");

(function($) {
    $.fn.splitSpan = function(options) {
        options = $.extend({
            defaultClass: "char",
            blankClass: "blank",
            blankDelete: true
        }, options);

        this.each((i, $target) => {
            $target = $($target);
            const text = $target.replaceText("").split("");
            const $chars = [];
            text.forEach((char) => {
                const isBlank = char == " ";
                if (isBlank && options.blankDelete) return;
                const $span = $("<span>", {
                    text: char,
                    class: options.defaultClass
                });
                if (isBlank) $span.addClass(options.blankClass);
                $chars.push($span);
            });
            $target.append($chars);
        });
        return this;
    };
})(jQuery);